This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461003 - Review Request: ssbd - Voice keyer for use in hamradio
Review Request: ssbd - Voice keyer for use in hamradio
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 06:05 EDT by Lucian Langa
Modified: 2008-12-30 18:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 10:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-09-03 06:05:57 EDT
Spec URL: http://lucilanga.fedorapeople.org/ssbd.spec
SRPM URL: http://lucilanga.fedorapeople.org/ssbd-0.10-1.fc9.src.rpm
Description: Ssbd (SSB daemon) is voice keyer for use in hamradio.
It's written as part of Tucnak, contest log for VHF contests,
but is possible to use ssbd with arbitrary other program
Comment 1 Jason Tibbitts 2008-11-20 15:17:01 EST
I've no way to test this, but its been sitting for ten weeks and it builds OK so why not?

Is it possible to clean up the grammar in the %description?  The last sentence needs a period, I'm sure, but honestly I don't have enough context to be able to parse it and suggest improvements.

I'm not sure how you arrive at "GPLv2" for the license tag; I can't find any statement of the GPL version in use, which would indicate "GPL+".  Have I missed something?

The package is missing the proper scriptlet dependencies for service and chkconfig:

Requires(post): chkconfig
Requires(preun): chkconfig, initscripts
Requires(postun): initscripts

* source files match upstream.  sha256sum:
   403fc4ce7da01c83bc2b5da8f8d11643c50dcd04e9f80a7a4f8f2deb041b22ce  
   ssbd-0.10.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
X description could use some cleanup.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
X final provides and requires missing chkconfig and service dependencies.
   config(ssbd) = 0.10-1.fc10
   ssbd = 0.10-1.fc10
   ssbd(x86-64) = 0.10-1.fc10
  =
   /bin/bash
   /bin/sh
   config(ssbd) = 0.10-1.fc10
   libglib-1.2.so.0()(64bit)
   libsndfile.so.1()(64bit)
   libsndfile.so.1(libsndfile.so.1.0)(64bit)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
X scriptlets OK (service management) but dependencies are missing.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Lucian Langa 2008-11-21 01:11:06 EST
(In reply to comment #1)
> Is it possible to clean up the grammar in the %description?  The last sentence
> needs a period, I'm sure, but honestly I don't have enough context to be able
> to parse it and suggest improvements.
updated

 
> I'm not sure how you arrive at "GPLv2" for the license tag; I can't find any
> statement of the GPL version in use, which would indicate "GPL+".  Have I
> missed something?
Package contains license text. See COPYING.


> The package is missing the proper scriptlet dependencies for service and
> chkconfig:
> 
> Requires(post): chkconfig
> Requires(preun): chkconfig, initscripts
> Requires(postun): initscripts
updated

new version:

http://lucilanga.fedorapeople.org/ssbd.spec
http://lucilanga.fedorapeople.org/ssbd-0.10-2.fc10.src.rpm
Comment 3 Jason Tibbitts 2008-11-21 12:41:39 EST
I know the package contains the license text.  But did you actually read it?  It contains version 2 of the GPL, and clause 9 says:

"
If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.
"

http://fedoraproject.org/wiki/Licensing says:

"
A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include.
"

So, I ask again, where do you see that a version of the GPL is specified?
Comment 5 Jason Tibbitts 2008-12-02 10:49:39 EST
This looks good to me.  It would be good to ask upstream directly about the license issue, but this software seems to be pretty old so I don't know if you would get much of a response.

APPROVED
Comment 6 Lucian Langa 2008-12-02 11:46:22 EST
Thank you.

New Package CVS Request
=======================
Package Name: ssbd
Short Description: Voice keyer for use in hamradio
Owners: lucilanga
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2008-12-03 19:59:08 EST
cvs done.
Comment 8 Fedora Update System 2008-12-07 10:57:11 EST
ssbd-0.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ssbd-0.10-3.fc9
Comment 9 Fedora Update System 2008-12-07 10:58:14 EST
ssbd-0.10-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ssbd-0.10-3.fc10
Comment 10 Fedora Update System 2008-12-30 18:42:50 EST
ssbd-0.10-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-30 18:44:00 EST
ssbd-0.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.